- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
libcdr_utils.h File Reference
`#include <stdio.h>`
`#include <string>`
`#include <math.h>`
`#include <libwpd/libwpd.h>`
`#include <libwpd-stream/libwpd-stream.h>`

Go to the source code of this file.

## Classes
class | libcdr::EndOfStreamException
class | libcdr::GenericException

## Namespaces
| libcdr

## Macros
#define | M_PI 3.14159265358979323846
#define | CDR_EPSILON 1E-6
#define | CDR_ALMOST_ZERO(m) fabs(m) <= CDR_EPSILON
#define | CDR_DEBUG_MSG(M)
#define | CDR_DEBUG(M)

## Functions
uint8_t | libcdr::readU8 (WPXInputStream *input, bool bigEndian=false)
uint16_t | libcdr::readU16 (WPXInputStream *input, bool bigEndian=false)
uint32_t | libcdr::readU32 (WPXInputStream *input, bool bigEndian=false)
uint64_t | libcdr::readU64 (WPXInputStream *input, bool bigEndian=false)
int32_t | libcdr::readS32 (WPXInputStream *input, bool bigEndian=false)
double | libcdr::readDouble (WPXInputStream *input, bool bigEndian=false)
::WPXString | libcdr::readFourCC (WPXInputStream *input)

## Macro Definition Documentation

#define CDR_ALMOST_ZERO | ( |  | m | ) | fabs(m) <= CDR_EPSILON

Referenced by libcdr::CDRContentCollector::_flushCurrentPath(), and libcdr::CDRTransform::applyToArc().

#define CDR_DEBUG | ( |  | M | ) |

#define CDR_DEBUG_MSG | ( |  | M | ) |

Referenced by libcdr::CDRContentCollector::_flushCurrentPath(), libcdr::CDRContentCollector::collectArcTo(), libcdr::CDRContentCollector::collectClosePath(), libcdr::CDRContentCollector::collectCubicBezier(), libcdr::CDRContentCollector::collectLineTo(), libcdr::CDRContentCollector::collectMoveTo(), libcdr::CDRContentCollector::collectQuadraticBezier(), libcdr::CDRDocument::parse(), libcdr::CDRParser::parseRecord(), libcdr::CMXParser::parseRecord(), libcdr::CDRParser::readBitmap(), libcdr::CMXParser::readCMXHeader(), libcdr::CDRParser::readEllipse(), libcdr::CDRParser::readLineAndCurve(), libcdr::CDRParser::readPath(), libcdr::CDRParser::readPolygonCoords(), and libcdr::readU8().

#define CDR_EPSILON 1E-6

#define M_PI 3.14159265358979323846